%global packname  feather
%global rlibdir  %{_libdir}/R/library
%global debug_package %{nil}

Name:             R-%{packname}
Version:          0.3.5
Release:          4%{?dist}
Summary:          R Bindings to the Feather 'API'

License:          Apache License 2.0
URL:              https://CRAN.R-project.org/package=%{packname}
Source0:          https://cran.r-project.org/src/contrib/%{packname}_%{version}.tar.gz

# Here's the R view of the dependencies world:
# Depends:   
# Imports:   R-Rcpp, R-tibble >= 2.0.0, R-hms
# Suggests:  R-testthat
# LinkingTo:
# Enhances:

BuildRequires:    R-devel
BuildRequires:    tex(latex)
BuildRequires:    R-Rcpp, R-Rcpp-devel
BuildRequires:    R-tibble >= 2.0.0
BuildRequires:    R-hms

%description
Read and write feather files, a lightweight binary columnar data store
designed for maximum speed.


%prep
%setup -q -c -n %{packname}


%build


%install
mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css


%files
%dir %{rlibdir}/%{packname}
%doc %{rlibdir}/%{packname}/html
%{rlibdir}/%{packname}/DESCRIPTION
%doc %{rlibdir}/%{packname}/NEWS.md
%{rlibdir}/%{packname}/INDEX
%{rlibdir}/%{packname}/NAMESPACE
%{rlibdir}/%{packname}/Meta
%{rlibdir}/%{packname}/R
%{rlibdir}/%{packname}/help
%{rlibdir}/%{packname}/feather/iris.feather
%{rlibdir}/%{packname}/feather/mtcars.feather
%{rlibdir}/%{packname}/libs/feather.so


%changelog
* Thu Oct 05 2023 Will Crawford <billcrawford1970@googlemail.com> - 0.3.5-4
- disable debug packages, since they end up included in a "dnf install 'R-*'" otherwise
* Thu Oct 05 2023 Will Crawford <billcrawford1970@googlemail.com> - 0.3.5-3
- trim build deps (don't include Suggests)
* Thu Oct 05 2023 Will Crawford <billcrawford1970@googlemail.com> - 0.3.5-2
- Fix Rcpp dependency (need the -devel subpackage)
* Thu Oct 05 2023 Will Crawford <billcrawford1970@googlemail.com> - 0.3.5-1
- initial package for Fedora
